Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2171687 - python-textdistance: FTBFS in Fedora rawhide/f38
Summary: python-textdistance: FTBFS in Fedora rawhide/f38
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-textdistance
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-02-20 12:01 UTC by Fedora Release Engineering
Modified: 2023-11-03 18:26 UTC (History)
2 users (show)

Fixed In Version: python-textdistance-4.6.0-2.fc38 python-textdistance-4.6.0-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-10 01:35:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2023-02-20 12:01:16 UTC
python-textdistance failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96433184


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix python-textdistance at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-textdistance will be orphaned. Before branching of Fedora 39,
python-textdistance will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-08-16 07:09:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Fedora Admin user for bugzilla script actions 2023-08-16 12:57:29 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2023-09-26 00:47:33 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Fedora Update System 2023-09-26 13:31:23 UTC
FEDORA-2023-3949949304 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3949949304

Comment 5 Fedora Update System 2023-09-26 21:46:16 UTC
FEDORA-2023-c5d7c87173 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5d7c87173

Comment 6 Fedora Update System 2023-09-27 01:26:04 UTC
FEDORA-2023-3949949304 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3949949304`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3949949304

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-27 01:36:20 UTC
FEDORA-2023-c5d7c87173 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c5d7c87173`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5d7c87173

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-28 20:17:36 UTC
FEDORA-2023-ea1bdfd746 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ea1bdfd746`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ea1bdfd746

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-29 02:45:45 UTC
FEDORA-2023-804cd16bc0 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-804cd16bc0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-804cd16bc0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-10-02 02:51:25 UTC
FEDORA-2023-c5860ebb98 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c5860ebb98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5860ebb98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-02 03:34:43 UTC
FEDORA-2023-35277dfd23 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-35277dfd23`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-35277dfd23

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-10 01:35:55 UTC
FEDORA-2023-35277dfd23 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-11-03 18:26:00 UTC
FEDORA-2023-c5860ebb98 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.